Subject: Re: [PATCH] net: Add network namespace clone & unshare support.

From: Andrew Morton <[email-masked]>
Date: Fri, 28 Sep 2007 02:28:42 -0700

On Fri, 28 Sep 2007 11:12:13 +0200 Cedric Le Goater <[email-masked]> wrote:

> > Cedric made a good point that we will have conflicts of code
> > being added to the same place in nsproxy.c and the like.  So
> > I copied Andrew to give him a heads up.
> 
> here's a suggestion,
> 
> we could keep the net namespace unshare patch out of david's tree,
> let andrew merge and release a new -mm and, then, send the net namespace 
> unshare patch to andrew. that should keep nsproxy out of the andrew's 
> merge challenge. But david's tree will miss the unshare part for a while.

This patch only generates two rejects against the current -mm poop pile.
That's insignificant.  We don't need to do anything special to merge a
little patch like this one.